## afterstep 2.2.11

=== debian/changelog ===
afterstep (2.2.11-7) unstable; urgency=low

  * Enable CPPFLAGS hardening flags (closes: #662255).
  * Standards-Version: 3.9.3 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 25 Mar 2012 20:08:18 +0200

afterstep (2.2.11-6) unstable; urgency=low

  * Bump afterstep-data's Replaces on afterstep from <= 2.2.9-5 to <= 2.2.11,
    and add Breaks: afterstep (<= 2.2.11) (closes: #655679, #655736).

 -- Robert Luberda <robert@debian.org>  Tue, 17 Jan 2012 23:25:50 +0100

afterstep (2.2.11-5) unstable; urgency=low

  * 39-FTBFS-libpng1.5.patch: Fix FTBFS with libpng1.5 (closes: #649970).
  * Remove .pc/.dpkg-source-unapply file in rules.  This fixes broken
    behaviour of dpkg-buildpackage (see Bug#649521).
  * Rename and refresh patches with gbp-pq import/export.
  * Switch to debhelper v9. Made changes necessary for multi-arch support,
    introduced in debhelper v9.
  * Convert /usr/share/doc/afterstep into symlink in postinst script.
  * debian/control:
     + add VCS fields;
     + Build-Depend on libpng-dev instead on libpng12-dev;
     + make libafterimage-dev depend on `libpng-dev | libpng12-dev';
     + add Pre-Depends: ${misc:Pre-Depends} lines.
     + set Standards-Version to 3.9.2.

 -- Robert Luberda <robert@debian.org>  Sat, 03 Dec 2011 22:36:40 +0100

afterstep (2.2.11-4) unstable; urgency=low

  * Make libafterimage-dev depend on libjpeg-dev instead of libjpeg62-dev
    (closes: #629958).
  * Standards-Version: 3.9.2 (no changes).
  * Drop build dependency on fl-cow to fix FTBFS on hurd.
  * Rewrite debian/rules for the debhelper `tiny' format.

 -- Robert Luberda <robert@debian.org>  Sat, 18 Jun 2011 12:23:38 +0200

afterstep (2.2.11-3) unstable; urgency=low

  * Switch to using menu-xdg for generating Debian menus:
    + add dependency on menu-xdg;
    + afterstep.menu-method: generate menu based on menu-xdg's method output;
    + debian/rules: don't remove upstream provided menu, which means both
      upstream & Debian menus will be visible.

  * 32_menu-xdg-location.patch: Add location of desktop files generated by
    menu-xdg.
  * 33_locale_parse.patch: Match Name[xx]/Comment[xx] sections from desktop
    files with xx_YY locales.
  * 34_unknown_folderref_crash.patch: Fix a segmentation fault that occurs
    on unknown FolderReferences entries;
  * 35_utf8_desktop_bydefault.patch: Assume that desktop files are UTF-8
    encoded unless different encoding is expicitely specified.
  * 36_translation_pl.patch: Translate desktop categories into Polish.
  * 37_spelling_typos2.patch: Fix a spelling typos found by lintian 2.5.0~rc1.
  * 38_debug_instructions.patch: Fix debug instructions given on segfaults
    (closes: #616453).

  * debian/control:
    + sort dependency fields with wrap-and-sort from the ubuntu-dev-tools
      package;
    + recommed gnome-themes package as afterstep makes use of clearlooks
      theme provided by the package.
  * Update the NEWS file.

 -- Robert Luberda <robert@debian.org>  Sun, 06 Mar 2011 20:39:25 +0100

afterstep (2.2.11-2) unstable; urgency=low

  * Upload to unstable.
  * After purging configuration files,  remove any empty parent directories
    left on the system. This fixes uninstallation problem found by piuparts.
  * Don't suggest wmavgload and wmtop packages, which are no longer available.
  * Add build dependency on libdbus-1-dev.
  * Stop shipping historical md5sums for ucf.
  * debian/rules:
    + call dpkg-buildflags for initial value of CFLAGS and LDFLAGS;
    + add build-indep and build-arch targets;
    + split the build process between arch and indep targets;
    + pass --with-dbus1 to configure.
  * 00_Makefile_and_configure.patch:
    + make install.data target recursive;
    + use USER_LD_FLAGS for linking libraries to make sure that LDFLAGS
      from debian/rules are actually applied.

 -- Robert Luberda <robert@debian.org>  Fri, 11 Feb 2011 08:20:44 +0100

afterstep (2.2.11-1) experimental; urgency=low

  * New upstream release.
  * Split afterstep into afterstep and afterstep-data as suggested by
    lintian's `arch-dep-package-has-big-usr-share' tag.
  * Provide debugging symbols in new afterstep-dbg package.
  * Add 31_cached_menu_pixmaps.patch to cache thumbnail images under
    ~/.afterstep/debian to speed up afterstep loading.
  * Rename 11_afterstep_feels.patch into 13_afterstep_feel.patch.
  * Switch to 3.0 (quilt) source format, drop dbs from debian/rules
    and build dependencies (closes: #576063).
  * Bump debhelper compat level to v8.
  * Standards-Version: 3.9.1:
    + use Breaks instead of Conflicts on aterm;
    + remove outdated Conflicts with libafterstep0.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Jan 2011 21:23:43 +0100

afterstep (2.2.9-5) unstable; urgency=low

  * 29_spelling_typos.patch: Fix various spelling typos both in documentation
    and programs found by lintian.
  * 30_menu_progress_display.patch: Make the progress screen less verbose by
    displaying a line of dots instead of menu names.
  * Split 19_ftbfs_alpha.patch out of 21_asapp.patch.
  * Add simple descriptions for all patches.
  * Minor fixes in build process, use fl-cow for builds.
  * Add a menu pixmap.
  * Build depend on libjpeg-dev instead of libjpeg62-dev.
  * Remove asterisks from NEWS file (lintian).
  * Fix spelling error in copyright (lintian).
  * Set source package format to 1.0.
  * Standards-Version: 3.8.4 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 24 Mar 2010 08:09:31 +0100

afterstep (2.2.9-4) unstable; urgency=low

  * Build with readline 6.
  * 28_msg_typo.patch: fix a typo.

 -- Robert Luberda <robert@debian.org>  Tue, 15 Sep 2009 19:55:55 +0200

afterstep (2.2.9-3) unstable; urgency=low

  * 26_gcc_pointer_warnings.patch: fix some gcc warnings related to pointer
    conversions.
  * 27_winlistconfigclass_mips.patch: fix FTBFS on mips/mipsel.
  * 00_Makefile_and_configure.patch: make compilation fail on first error.
  * Fix lintian's duplicate long description warning.

