## afterstep 2.2.12

=== debian/changelog ===
afterstep (2.2.12-18.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096283)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 20:14:06 +0300

afterstep (2.2.12-18) unstable; urgency=medium

  * Acknowledge NMU.
  * Add 65-Fix-FTBFS-gcc14.patch to fix build failures occurring
    on 32-bit archs with gcc14 (closes: #1086205).
  * Remove no longer needed lintian overrides.
  * Standards-Version: 4.7.0.

 -- Robert Luberda <robert@debian.org>  Sun, 24 Nov 2024 21:51:14 +0100

afterstep (2.2.12-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061875

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:30:01 +0000

afterstep (2.2.12-17) unstable; urgency=low

  * Make debian/scripts/move_spare_manpages read a list of binaries from
    debian/package.d files instead of checking for existence of file in the
    file system. This fixes binary-indep builds (closes: #1061295).

 -- Robert Luberda <robert@debian.org>  Tue, 23 Jan 2024 00:07:32 +0100

afterstep (2.2.12-16) unstable; urgency=low

  [ Jeremy Bicha ]
  * Add 62-Adapt-to-gsd-342.patch to adapt the session file for GNOME 42.

  [ Robert Luberda ]
  * Update lintian overrides for mismatched tags and very long line lengths.
  * debian/scripts/fix_examples: Adjust build path and binary paths in example
    Makefile, basing on the patch from  Vagrant Cascadian (closes: #1037278).
  * debian/control:
    + fix obsolete (build-)dependencies: use libfreetype-dev instead of
      libfreetype6-dev, and libtiff-dev instead of libtiff5-dev (lintian);
    + replace dependency on removed aterm with rxvt-unicode (closes: #994868);
    + bump Standards-Version to 4.6.2.
  * Fix typo in DEB_LDFLAGS_MAINT_APPEND in debian/rules (closes: #1016382).
  * Drop Homepage field from debian/upstream/metadata (lintian).
  * Use 'command -v' instead of 'which' in debian/scripts/fix_conffiles.
  * Add 63-Fix-national-encoding.patch to fix two ISO-8859-1 files: one by
    simply recoding to UTF-8, and another one (scripts/Animate) by translating
    from French to English (lintian).
  * Add 64-Fix-gcc13-warnings.patch to fix a few warnings generated by gcc13.
  * Move spare manual pages from section 1x to 7x (lintian), and then put them
    into afterstep-data package.
  * Provide 'Build-Depends-Package' in symbols files for all installed
    libraries (lintian).
  * Remove superficial autopkgtests (lintian).
  * Update date in debian/copyright (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 21 Jan 2024 21:35:31 +0100

afterstep (2.2.12-15) unstable; urgency=medium

  * Add 60-Fix-FTBFS-ar-clq.patch to fix compilation with 'ar' from binutils
    2.36 (from experimental), that breaks backward compatibility by re-using
    the previously ignored 'l' specifier (see: #981072).
  * Add Bug-* fields into upstream/metadata file (lintian), update github
    links in other fields there to point to repository listed on afterstep's
    homepage.

 -- Robert Luberda <robert@debian.org>  Thu, 28 Jan 2021 09:27:07 +0100

afterstep (2.2.12-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.8.10-1, 1.6.6-1, 1.4-5, 1.4-
    3, 1.4-2.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Robert Luberda ]
  * Mark autopkgtest tests as superficial (closes: #969796).
  * Migrate to libfltk1.3-dev (closes: #974626).
  * Bump debhelper's compat level to 13.
  * Fix a few lintian warnings.
  * Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Tue, 22 Dec 2020 17:58:04 +0100

afterstep (2.2.12-13) unstable; urgency=medium

  * Add 58-Switch-to-AC_TRY_COMPILE.patch for yet another cross compilation
    issue (closes: #908370). Thanks to Helmut Grohne.
  * Add 59-Spelling-typos.patch to fix a few typos found by lintian.
  * Switch to debhelper v12, and replace debian/compat with build dependency
    on debhelper-compat package.
  * Stop supporting ancient package version in maintainer scripts (lintian).
  * Add Build-Depends-Package field to symbol files (lintian).
  * Standards-Version: 4.4.1.

 -- Robert Luberda <robert@debian.org>  Mon, 11 Nov 2019 15:21:35 +0100

afterstep (2.2.12-12) unstable; urgency=medium

  * Bump debhelper's compat level to 11, and update debian/rules to make
    dh_autoreconf work.
  * No longer pass --dbgsym-migration option to dh_strip, as the migration
    from old afterstep-dbg package is complete (lintian).
  * Add two patches to hopefully fix cross compilation issues:
    + 55-Pass-host-to-sub-configure.patch from Helmut Grohne to pass the
      --host option to subprojects ./configure (closes: #899200);
    + 56-Fix-autotools-pkg-config.patch to replace AC_PATH_PROG macro for
      PKG_CONFIG with AC_PATH_TOOL macro (lintian).
  * New 57-Use-pkg-config-for-freetype.patch to use pkg-config (via macro)
    instead of freetype-config for freetype detection (closes: #887599).
  * Add lintian overrides for test.ttf.gz file shipped in libafterimage-dev's
    examples directory and for .../icons/normal/License file that is not a
    piece of documentation, but an icon.
  * Provide simple testsuite for autopkgtest to check installability of the
    binary packages (lintian).
  * Add DEP12 upstream metadata file (lintian).
  * debian/control:
    + switch to non-transitional packages in relationships:
        gnome-themes-standard -> gnome-themes-extra (closes: #892034),
        libtiff-dev -> libtiff5-dev;
    + add dependencies on sensible-utils (lintian);
    + set Rules-Requires-Root to `no';
    + drop ancient Breaks/Replaces;
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Fri, 31 Aug 2018 09:16:24 +0200

afterstep (2.2.12-11.1) unstable; urgency=medium

  * Non-maintainer upload

