=== debian/control ===
--- 
+++ 
@@ -2,49 +2,50 @@
 Section: x11
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: autotools-dev,
-               bison,
-               debhelper (>= 9),
+Standards-Version: 4.7.0
+Build-Depends: dpkg-dev (>= 1.22.5), bison,
+               debhelper-compat (= 13),
                flex,
                freeglut3-dev,
+               gnome-session-bin,
                imagemagick,
                libdbus-1-dev,
-               libfltk1.1-dev (>= 1.1.3),
-               libfreetype6-dev,
-               libgif-dev (>= 4.1.6-3~),
+               libfltk1.3-dev,
+               libfreetype-dev,
                libgtk2.0-dev,
                libjpeg-dev,
+               libncurses-dev,
                libpng-dev,
                libreadline-dev (>= 6),
                librplay3-dev (>= 3.3.2),
                librsvg2-dev (>= 2.14),
-               libtiff4-dev,
+               libtiff-dev,
                libxinerama-dev,
                libxt-dev (>= 4.3.0.dfsg.1),
                sharutils,
                zlib1g-dev (>= 1:1.1.4)
 Homepage: http://www.afterstep.org/
-Vcs-Git: git://anonscm.debian.org/users/robert/afterstep.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/afterstep.git
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/afterstep.git
+Vcs-Browser: https://salsa.debian.org/debian/afterstep/
 
 Package: afterstep
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: afterstep-data (= ${source:Version}),
-         aterm | x-terminal-emulator,
-         debianutils (>= 2.1),
+         rxvt-unicode | x-terminal-emulator,
          imagemagick,
          menu,
          menu-xdg,
+         sensible-utils,
          ucf,
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Suggests: asclock | wmitime, asmail, asmon, mc, wmcpuload, xscreensaver
-Recommends: gnome-themes
+Recommends: gnome-themes-extra
+Multi-Arch: foreign
 Provides: x-window-manager
-Replaces: afterstep-data (<< 2.2.11-2~)
 Description: window manager with the NEXTSTEP look and feel
  AfterStep is a window manager based on FVWM which attempts to emulate
  the NEXTSTEP look and feel, while retaining the configurability of its
@@ -60,13 +61,13 @@
 Package: afterstep-data
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ttf-freefont (>= 20031008),
+Depends: fonts-freefont-ttf,
+         sensible-utils,
          ucf (>= 1.17),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Replaces: afterstep (<= 2.2.11)
-Breaks: afterstep (<= 2.2.11)
+Multi-Arch: foreign
 Recommends: afterstep (= ${source:Version})
 Description: data files for AfterStep window manager
  AfterStep is a window manager based on FVWM which attempts to emulate
@@ -78,11 +79,15 @@
  .
  The package contains data and configuration files needed by AfterStep.
 
-Package: libafterstep1
+Package: libafterstep1t64
+Provides: ${t64:Provides}
+Replaces: libafterstep1
+Breaks: libafterstep1 (<< ${source:Version})
 Architecture: any
 Section: libs
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Depends: sensible-utils, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Description: shared libraries for the AfterStep window manager
  AfterStep is a window manager based on FVWM which attempts to emulate
  the NEXTSTEP look and feel, while retaining the configurability of its
@@ -93,12 +98,15 @@
  .
  This package contains runtime libraries needed by AfterStep.
 
-Package: libafterimage0
+Package: libafterimage0t64
+Provides: ${t64:Provides}
+Replaces: libafterimage0
+Breaks: libafterimage0 (<< ${source:Version})
 Architecture: any
 Section: libs
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Breaks: aterm (<< 1.0.1-7~), aterm-ml (<< 1.0.1-7~)
 Description: imaging library designed for AfterStep - runtime files
  libAfterImage is the imaging library implemented for AfterStep
  X Window Manager. It has been generalized to be suitable for any
@@ -118,16 +126,15 @@
 Section: libdevel
 Pre-Depends: ${misc:Pre-Depends}
 Depends: freeglut3-dev,
-         libafterimage0 (= ${binary:Version}),
+         libafterimage0t64 (= ${binary:Version}),
          libc6-dev | libc-dev,
-         libfreetype6-dev,
-         libgif-dev (>= 4.1.6-3~),
+         libfreetype-dev,
          libice-dev,
          libjpeg-dev,
-         libpng-dev | libpng12-dev,
+         libpng-dev,
          librsvg2-dev,
          libsm-dev,
-         libtiff4-dev,
+         libtiff-dev,
          libxext-dev,
          libxinerama-dev,
          zlib1g-dev (>= 1:1.1.4),
@@ -148,23 +155,3 @@
  .
  This package contains the header files and static library needed to
  compile applications that use libAfterImage.
-
-Package: afterstep-dbg
-Architecture: any
-Priority: extra
-Section: debug
-Pre-Depends: ${misc:Pre-Depends}
-Depends: afterstep (= ${binary:Version}) | libafterimage0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
-Description: detached debugging symbols for AfterStep and its libraries
- AfterStep is a window manager based on FVWM which attempts to emulate
- the NEXTSTEP look and feel, while retaining the configurability of its
- predecessor.  Note that this window manager makes extensive use of the
- color palette.  If you have only an 8-bit color display, it will run
- as packaged, but you may want to modify the configuration to use fewer
- colors.
- .
- This package contains debug symbols for the afterstep, libafterimage0,
- and libafterstep1 packages.
