=== debian/watch ===
# control file for the uscan(1) tool
version=4
http://www.afterstep.org/ \
	(?:.*/)AfterStep-([\d\.]+.*)\.tar\.(?:gz|bz2)
